load('Figure6Data.mat');

% Drop radius
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(1);
set(gcf,'Position',[0 0 240 240],'Color','w');
semilogx(time_E_is_0pt01,composite_radius_E_is_0pt01,'k--','Linewidth',2);
hold on
semilogx(FEM_time_E_is_0pt01,FEM_radius_E_is_0pt01,'k-','Linewidth',1);
semilogx(time_E_is_0pt1,composite_radius_E_is_0pt1,'k--','Linewidth',2);
semilogx(FEM_time_E_is_0pt1,FEM_radius_E_is_0pt1,'k-','Linewidth',1);
semilogx(time_E_is_1,composite_radius_E_is_1,'k--','Linewidth',2);
semilogx(FEM_time_E_is_1,FEM_radius_E_is_1,'k-','Linewidth',1);
semilogx(time_E_is_10,composite_radius_E_is_10,'k--','Linewidth',2);
semilogx(FEM_time_E_is_10,FEM_radius_E_is_10,'k-','Linewidth',1);
axis([1e-4 1e4 0 1.2]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [1e-4,1e-2,1e0,1e2,1e4];
ax.YTick = [0,0.2,0.4,0.6,0.8,1,1.2];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t$','fontsize',12,'Interpreter','Latex')
ylabel('$s(t)$','fontsize',12,'Interpreter','Latex')
AnnotationText1 = annotation('textbox', [0.22,0.32,0.1,0.1],...
                        'String','$\mathcal{E}$ decreasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow1 = annotation('arrow',[0.3 0.45],[0.32 0.32],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Drop volume
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(2);
set(gcf,'Position',[0 0 240 240],'Color','w');
semilogx(time_E_is_0pt01,volume_E_is_0pt01,'k--','Linewidth',2);
hold on
semilogx(FEM_time_E_is_0pt01,FEM_volume_E_is_0pt01,'k-','Linewidth',1);
semilogx(time_E_is_0pt1,volume_E_is_0pt1,'k--','Linewidth',2);
semilogx(FEM_time_E_is_0pt1,FEM_volume_E_is_0pt1,'k-','Linewidth',1);
semilogx(time_E_is_1,volume_E_is_1,'k--','Linewidth',2);
semilogx(FEM_time_E_is_1,FEM_volume_E_is_1,'k-','Linewidth',1);
semilogx(time_E_is_10,volume_E_is_10,'k--','Linewidth',2);
semilogx(FEM_time_E_is_10,FEM_volume_E_is_10,'k-','Linewidth',1);
axis([1e-4 1e4 0 1.2]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [1e-4,1e-2,1e0,1e2,1e4];
ax.YTick = [0,0.2,0.4,0.6,0.8,1,1.2];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t$','fontsize',12,'Interpreter','Latex')
ylabel('$V(t)$','fontsize',12,'Interpreter','Latex')
AnnotationText2 = annotation('textbox', [0.21,0.31,0.1,0.1],...
                        'String','$\mathcal{E}$ decreasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow2 = annotation('arrow',[0.3 0.45],[0.32 0.32],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Near-extinction radius
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(3);
set(gcf,'Position',[0 0 240 240],'Color','w');
plot(time_remaining_E_is_0pt01,composite_radius_E_is_0pt01.^(13/7),'k--','Linewidth',2);
hold on
plot(FEM_time_remaining_E_is_0pt01,FEM_radius_E_is_0pt01.^(13/7),'k-','Linewidth',1);
plot(time_remaining_E_is_0pt1,composite_radius_E_is_0pt1.^(13/7),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_0pt1,FEM_radius_E_is_0pt1.^(13/7),'k-','Linewidth',1);
plot(time_remaining_E_is_1,composite_radius_E_is_1.^(13/7),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_1,FEM_radius_E_is_1.^(13/7),'k-','Linewidth',1);
plot(time_remaining_E_is_10,composite_radius_E_is_10.^(13/7),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_10,FEM_radius_E_is_10.^(13/7),'k-','Linewidth',1);
axis([0 10 0 0.2]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,2,4,6,8,10];
ax.YTick = [0,0.05,0.1,0.15,0.2];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t_c - t$','fontsize',12,'Interpreter','Latex')
ylabel('$s^{13/7}$','fontsize',12,'Interpreter','Latex')
AnnotationText3 = annotation('textbox', [0.56,0.4,0.1,0.1],...
                        'String','$\mathcal{E}$ decreasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow3 = annotation('arrow',[0.55 0.7],[0.45 0.35],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Near-extinction Volume
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
figure(4);
set(gcf,'Position',[0 0 240 240],'Color','w');
plot(time_remaining_E_is_0pt01,volume_E_is_0pt01.^(13/20),'k--','Linewidth',2);
hold on
plot(FEM_time_remaining_E_is_0pt01,FEM_volume_E_is_0pt01.^(13/20),'k-','Linewidth',1);
plot(time_remaining_E_is_0pt1,volume_E_is_0pt1.^(13/20),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_0pt1,FEM_volume_E_is_0pt1.^(13/20),'k-','Linewidth',1);
plot(time_remaining_E_is_1,volume_E_is_1.^(13/20),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_1,FEM_volume_E_is_1.^(13/20),'k-','Linewidth',1);
plot(time_remaining_E_is_10,volume_E_is_10.^(13/20),'k--','Linewidth',2);
plot(FEM_time_remaining_E_is_10,FEM_volume_E_is_10.^(13/20),'k-','Linewidth',1);
axis([0 10 0 0.2]);
ax = gca;
ax.XTickMode = 'manual';
ax.YTickMode = 'manual';
ax.XMinorTick = 'off';
ax.YMinorTick = 'off';
ax.XTick = [0,2,4,6,8,10];
ax.YTick = [0,0.05,0.1,0.15,0.2];
ax.XMinorGrid = 'off';
ax.YMinorGrid = 'off';
grid on;
xlabel('$t_c - t$','fontsize',12,'Interpreter','Latex')
ylabel('$V^{13/20}$','fontsize',12,'Interpreter','Latex')
AnnotationText4 = annotation('textbox', [0.56,0.4,0.1,0.1],...
                        'String','$\mathcal{E}$ decreasing',...
                                 'Interpreter','Latex','LineStyle','none');
AnnotationArrow4 = annotation('arrow',[0.55 0.7],[0.45 0.35],...
                        'HeadStyle','vback3','HeadWidth',5,'HeadLength',5);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%